package com.kringlamobil;

import com.kringlamobil.R;

import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.TabHost;

public class Main extends TabActivity 
{	
	/** Called when the options menu is first created. */
	public boolean onCreateOptionsMenu(Menu menu) {
		MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.main_menu, menu);
		return true;
	}

	/**
	 * Called when an item is selected in the options menu. 
	 * Depending on what item was selected different actions are taken.
	 * If the info item is selected a new InfoScreen activity is started.
	 * If the quit item is selected the application closes.
	 */
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		Intent intent = new Intent();
		switch (item.getItemId()) {
		case R.id.info:
			intent = new Intent(Main.this, InfoScreen.class);
			startActivity(intent);
			return true;

		case R.id.quit:			
			this.finish();
			return true;
		}

		return false;
	}
	
	/** Called when the activity is first created. */
	public void onCreate(Bundle savedInstanceState) 
	{
	    super.onCreate(savedInstanceState);
	    setContentView(R.layout.main);

	    Resources res = getResources();
	    TabHost tabHost = getTabHost();
	    TabHost.TabSpec spec;
	    Intent intent;

	    intent = new Intent().setClass(this, MainSearchScreen.class);
	    spec = tabHost.newTabSpec("searchTab").setIndicator("Sk", res.getDrawable(R.drawable.search_icon)).setContent(intent);
	    tabHost.addTab(spec);
	    
	    intent = new Intent().setClass(this, MapScreen.class);
	    spec = tabHost.newTabSpec("mapTab").setIndicator("Kartsk", res.getDrawable(R.drawable.map_icon)).setContent(intent);
	    tabHost.addTab(spec);

	    tabHost.setCurrentTab(0);
	}
}