package com.kringlamobil;

import com.kringlamobil.R;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.Spinner;

public class MapOptions extends Activity {	
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) 
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.map_options);
				
		Bundle extras = this.getIntent().getExtras();
		CheckBox imageCheckBox = (CheckBox) findViewById(R.id.imageCheckBox);
		imageCheckBox.setChecked(extras.getBoolean("images"));
		
	    Spinner spinner = (Spinner) findViewById(R.id.type_spinner);
	    ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource(
	    this, R.array.type_array, android.R.layout.simple_spinner_item);
	    adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
	    spinner.setAdapter(adapter);
	    spinner.setSelection(adapter.getPosition(extras.getString("type")));
	    
	    spinner = (Spinner) findViewById(R.id.milieu_spinner);
	    adapter = ArrayAdapter.createFromResource(
	    this, R.array.milieu_array, android.R.layout.simple_spinner_item);
	    adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
	    spinner.setAdapter(adapter);
	    spinner.setSelection(adapter.getPosition(extras.getString("milieu")));
	}
	
	/**
	 * Called when the activity finishing up and forwards all the parameters
	 * back to the map screen. 
	 */
	@Override
	public void finish() 
	{
		Spinner typeSpinner = (Spinner) findViewById(R.id.type_spinner);
		Spinner milieuSpinner = (Spinner) findViewById(R.id.milieu_spinner);
		CheckBox imageCheckBox = (CheckBox) findViewById(R.id.imageCheckBox);
		
		imageCheckBox.isChecked();
		typeSpinner.getSelectedItem().toString();
		milieuSpinner.getSelectedItem().toString();
		
        Intent intent = new Intent();
        intent.putExtra("images", imageCheckBox.isChecked());
        intent.putExtra("type", typeSpinner.getSelectedItem().toString());
        intent.putExtra("milieu", milieuSpinner.getSelectedItem().toString());

        setResult(RESULT_OK,intent);
		super.finish();
	}
}