package com.kringlamobil;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.MotionEvent;

public class TitleScreen extends Activity {

	protected int sleepTime = 4000;
	private boolean mActive = true;

	/** Called when the activity is first created. */
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.title);
		//Changes the screen after 4 seconds
		new Handler().postDelayed(new Runnable() {			
			@Override
			public void run() 
			{
				if (mActive == true)
				{
					changeScreen();
				}
			}
		}, sleepTime);
	}
		
	/**
	 * Handles the touch event.
	 */
	public boolean  onTouchEvent (MotionEvent  event)
	{	
		mActive = false;
		changeScreen();
		return true;
	}

	/**
	 * Closes the view and sends the user to the main screen.
	 */
	private void changeScreen()
	{
		Intent intent = new Intent(TitleScreen.this, Main.class);
		TitleScreen.this.startActivity(intent);
		TitleScreen.this.finish();
	}
	
}
